﻿using System;

using DevExpress.Data;
using DevExpress.XtraBars.ToastNotifications;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 토스트 통지 관리자를 설정한다.

            ToastNotification toastNotification = new ToastNotification();

            toastNotification.ID              = Guid.NewGuid().ToString();
            toastNotification.Image           = TestProject.Properties.Resources.toast;
            toastNotification.Header          = "작업 진행 공지";
            toastNotification.Body            = "2020년 2월 15일 토요일 오후 6시 시스템 변경 작업을 진행합니다.";
            toastNotification.Body2           = "작업시 시스템 사용시 장애가 발생할 수 있습니다.";
            toastNotification.AttributionText = "DSCore";
            toastNotification.Sound           = ToastNotificationSound.Default;
            toastNotification.Duration        = ToastNotificationDuration.Default;
            toastNotification.Template        = ToastNotificationTemplate.ImageAndText04;

            this.toastNotificationsManager.Notifications.Add(toastNotification);

            #endregion

            ShellHelper.TryCreateShortcut(this.toastNotificationsManager.ApplicationId, this.toastNotificationsManager.ApplicationName);

            #region 이벤트를 설정한다.

            this.sendToastNotificationButton.Click += sendToastNotificationButton_Click;

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 토스트 통지 발송 버튼 클릭시 처리하기 - sendToastNotificationButton_Click(sender, e)

        /// <summary>
        /// 토스트 통지 발송 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void sendToastNotificationButton_Click(object sender, EventArgs e)
        {
            this.toastNotificationsManager.ShowNotification(this.toastNotificationsManager.Notifications[0]);
        }

        #endregion
    }
}